#
# spec file for package oggvideotools
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           oggvideotools
Version:        0.9.1
Release:        1699.5.pm.6
Summary:        Toolbox for manipulating Ogg Video Files
License:        GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://dev.streamnik.de/oggvideotools.html
Source:         http://prdownloads.sourceforge.net/oggvideotools/oggvideotools-%{version}.tar.bz2
Patch0:         oggvideotools.patch
Patch2:         oggvideotools-paths.patch
Patch3:         oggvideotools-gcc6.patch
BuildRequires:  SDL-devel
BuildRequires:  libboost_headers-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gd-devel
BuildRequires:  glibc-devel
BuildRequires:  libogg-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtheora-devel
BuildRequires:  libtool
BuildRequires:  libvorbis-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The "Ogg Video Tools" is a toolbox for manipulating Ogg video files, which
usually consist of a video stream (Theora) and an audio stream (Vorbis). It
includes a number of handy command line tools for manipulating these video
files, such as for splitting the different streams.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 2 -p1
%patch -P 3 -p1

%build
pushd build
cmake \
   -DCMAKE_INSTALL_PREFIX=%{_prefix} \
   ..
make %{?_smp_mflags}
popd

%install
pushd build
make DESTDIR=%{buildroot} install
popd
chmod +x %{buildroot}%{_bindir}/mkSlideshow %{buildroot}%{_bindir}/mkThumbs

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/mkSlideshow
%{_bindir}/mkThumbs
%{_bindir}/oggCat
%{_bindir}/oggCut
%{_bindir}/oggDump
%{_bindir}/oggJoin
%{_bindir}/oggLength
%{_bindir}/oggSilence
%{_bindir}/oggSlideshow
%{_bindir}/oggSplit
%{_bindir}/oggThumb
%{_bindir}/oggTranscode
%{_mandir}/man1/mkThumbs.1%{ext_man}
%{_mandir}/man1/ogg*.1%{ext_man}

%changelog
* Fri Jan  6 2017 aloisio@gmx.com
- Update to 0.9.1
  * changed over to C++11 and boost (in some minor places).
  * Cleanup a lot of things to fit ogg/theora/vorbis API again.
  Version 0.9:
  * Bug in oggRingbuffer fixed (Thanks to Bjarne) -> solved
    problems with ffmpeg ogg implementation
  * Manpage cleanup
  * fix for gcc 4.7 (used in Fedora 17)
  Version 0.8a:
  * Handling of zero size packets
  * correct compiling of small packets into pages (packaging
    exactly 255 segments per page)
  * renaming oggResize to oggTranscode
  * oggCat can handle different video and audio files
    (complete rewrite)
  * internal: video and audio hook for oggCat and oggTranscode
  * timing, stream No. and stream type in oggDump packet dump
    output
  * reworked manpages
  * switch to cmake
  * oggScroll is no longer supported (libSDL is not needed any
    more!) and will not be installed
  * mkSlideshow is not supported any more and will not be
    installed
  * cleanup mkThumb (bug #2925128) - thanks to jferlito
  * integrated fixes from Tim Starling (advanced exception
    handling, logging etc)
  * oggSlideshow returns with -1 if no picture was found
  * prefix walkthrough for KenBurns effect
  * Documentation pdf is outdated and therefir not shiped with
    the source package any more google can help much better
  * release creation reworked
  * configure reworked and added to trunk
- Dropped oggvideotools-gcc47-includes.patch and
  oggvideotools-fix_nonvoid_return.patch no longer necessary
- Added oggvideotools-paths.patch and oggvideotools-gcc6.patch
- Spec cleanup
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7 (add missing includes)
* Sun Sep  6 2009 pascal.bleser@opensuse.org
- update to 0.8:
  * adds oggSilence: creates an Ogg/Vorbis file of a specified length that is filled with silence
  * adds oggResize: can resize a given Ogg file consisting of a Theora and/or a Vorbis stream
* Fri May 29 2009 pascal.bleser@opensuse.org
- fixes minor bugs with oggCut
* Mon Mar 23 2009 pascal.bleser@opensuse.org
- update to 0.7a:
  * adds two scripts to create a thumbnail series and a slideshow with sound in an easy way
  * adds support for corrupt end-of-file identifiers
  * some minor bugfixes
  * documentation updates
* Thu Mar 12 2009 pascal.bleser@opensuse.org
- update to 0.7:
  * contains a new command line tool "oggResize", which converts an Ogg/Theora
    file into another Ogg/Theora file with a different framesize, framerate,
    and datarate
  * cleanup and minor bugfixes
* Mon Jan  5 2009 guru@unixtech.be
- new package
